org.apache.calcite.avatica.proto

## Interface Common.StatementHandleOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.StatementHandle, Common.StatementHandle.Builder

Enclosing class:
  Common

    public static interface Common.StatementHandleOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getConnectionId()` `optional string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 1;`
`int` `getId()` `optional uint32 id = 2;`
`Common.Signature` `getSignature()` `optional .Signature signature = 3;`
`Common.SignatureOrBuilder` `getSignatureOrBuilder()` `optional .Signature signature = 3;`
`boolean` `hasSignature()` `optional .Signature signature = 3;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getConnectionId

    String getConnectionId()

`optional string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 1;`

#### getId

    int getId()

`optional uint32 id = 2;`

#### hasSignature

    boolean hasSignature()

`optional .Signature signature = 3;`

#### getSignature

    Common.Signature getSignature()

`optional .Signature signature = 3;`

#### getSignatureOrBuilder

    Common.SignatureOrBuilder getSignatureOrBuilder()

`optional .Signature signature = 3;`